/*This style sheet contains only header part and footer part styles*/
/*Fonts*/
@font-face {
  font-family: 'HCLTech Roobert';
  font-style: normal;
  font-weight: 100;
  src: url(./fonts/HCLTechRoobert-Light.ttf);
}

@font-face {
  font-family: 'HCLTech Roobert';
  font-style: normal;
  font-weight: 300;
  src: url(./fonts/HCLTechRoobert-Medium.ttf);
}

@font-face {
  font-family: 'HCLTech Roobert';
  font-style: normal;
  font-weight: 400;
  src: url(./fonts/HCLTechRoobert-Regular.ttf);
}

@font-face {
  font-family: 'HCLTech Roobert';
  font-style: normal;
  font-weight: 700;
  src: url(./fonts/HCLTechRoobert-Bold.ttf);
}

@font-face {
  font-family: 'GothamBold';
  src: url("./fonts/Gotham-Bold.otf") format("opentype");
}

@font-face {
  font-family: 'HCLTech Roobert';
  src: url("./fonts/HCLTechRoobert-Bold.ttf");
}

@font-face {
  font-family: 'Courier';
  font-style: normal;
  font-weight: 700;
  src: url(./fonts/Courier.ttf);
}

/*Header and body styles*/
  
  *, *:before, *:after {
    box-sizing: inherit;
  }
  
  html, body {
    margin: 0;
    background-color:  #F2F2F2;
    box-sizing: border-box;
    height: 100%;
  }
  
.brand_logo {
    background-color: black;
}

.verticline {
  border-left: 2px solid gray;
  height: 30px;
  position: absolute;
  left: 210px;
  top: 10px;
}

 .navbar {
  border: none;
  border-radius: 0;
  margin: 0;
  min-height: 50px;
  background-color: #121212;
  padding: 0 34px;
  font-family: 'HCLTech Roobert';
  font-size: 14px;
}

.navbar-brand {
  padding-top: 0px;
  padding-bottom: 0px;
  height: 50px;
  line-height: 50px;
  margin-right: 68px;
  
}

.cmdname {
  font-family: Courier;
  font-weight: bold;
  font-size: 14px;
}

#brandName {
  
  min-width: 200px;
}

.brandFont {
font-family: 'HCLTech Roobert';
}

.navbar a {

  text-decoration: none;
}

/*Resources dropdown menu*/
 .dropdnmenu {
      position: relative;
      display: inline-block;
      padding: 2px 22px;
      margin-left: auto;
      justify-content: right;   
  }

  .dropdbtnmenu {
      background-color: #121212;
      color: white;
      font-size: 14px;
      border: none;
      cursor: pointer;
      padding: 4px 14px;
      display: block;
      z-index: 9999;
      font-family: "HCLTech Roobert";
  }

 /* Add these styles to your existing CSS */

/* Ensure the dropdown appears when focused */
.dropdbtnmenu:focus + .dropdnmenu-content,
.dropdnmenu-content:focus,
.dropdnmenu-content:hover {
    display: block;
}

.dropdnmenu-content {
    display: none;
    position: absolute;
    background-color: #fcfcfc;
    min-width: 160px;
    box-shadow: 0 0 25px rgba(0, 0, 0, 0.25);
    font-size: 13px;
    top: 30px;
    right: 10px;
    font-family: "Open Sans", sans-serif;
    z-index: 9999;
}

.dropdnmenu-content a {
    color: black;
    padding: 8px 24px;
    text-decoration: none;
    display: block;
    float: none;
    align-content: center;
}

.dropdnmenu-content a:hover,
.dropdnmenu-content a:focus {
    background-color: #dddada;
}

/* Ensure the dropdown stays open while navigating within it */
.dropdnmenu:focus-within .dropdnmenu-content {
    display: block;
}

.brand_banner {
	  /* background: linear-gradient(to bottom, #e0e5e7 40%, #74b4cb 100%); */
    /* background: linear-gradient(90deg, rgba(104,97,222,1) 1%, rgba(104,97,222,1) 3%, rgba(104,97,222,1) 3%, rgba(104,97,222,1) 3%, rgba(104,97,222,1) 3%, rgba(81,250,240,1) 50%, rgba(71,9,121,0.9893207282913166) 100%);  */
    text-decoration: none;
    width: 100%;
    height: 180px;
    z-index: 1;
    background-color: #121212;
}

.img-right {
  height: 180px;
  float: right; 
 }

.brand_banner a {
    text-decoration:none;
    color: white;
    font-size: 14px;
    padding: 25px;
}

.headerTitle {
  position: absolute;
  color: #FFFFFF;
  font-size: 34px;
  font-family: 'HCLTech Roobert';
  z-index: 1;
  margin-left: 11%;
  display: inline-block;
  top:60px;
}

/* .search_container {
    display: block;
} */

.searchProdclass {
  position: absolute;
  color: black;
  font-size: 14px;
  font-family: 'HCLTech Roobert';
/*transform: translate(-176%, -176%); */
  z-index: 1;
  width: 28%;
  padding: 10px 20px;
  border-radius: 5px;
  text-align: center;
  top: 130px;
  margin-left: 165px;
}

#searchProd {
  background-image: url('images/icons8-search-25.svg'); /* Add a search icon to input */
  background-position: 8px 10px; /* Position the search icon */
  background-repeat: no-repeat; /* Do not repeat the icon image */
  font-size: 12px;
  /* border: 0.5px solid #ddd; */
  border: none;
}

/*This style sheet contains styles of the body and filter parts*/
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.fil-p {
    padding: 10px 10px;
    background-color:  #FFFFFF;
    margin: 7px 0;
    cursor: pointer;
    color: #333;
    text-align:left;
	  font-family: 'HCLTech Roobert';
}

.fil-p:hover {
    /* box-shadow: rgba(4, 216, 244, 0.35) 0px 5px 15px; */
    color: #006075;
}

.sidebarbutton {
    width: 100%;
    position: relative;
    border: none;
    border-radius: 10px;
    background-color: #FFFFFF;
    padding: 5px 15px;
    cursor: pointer;
    color: #0a0a0a;
    font-size: 14px;
	  font-family: 'HCLTech Roobert';
}

.active {
  color: #007A87;
  border: 1px, solid #007A87;
}

/* Column container */
.container {
  /* display: flex;
  flex-wrap: wrap;
  float: left; */
  padding-left: 0;
  padding-right: 0;
  width: 100%;
  float: left;
  min-height: 100vh;
}

/* Create two unequal columns that sits next to each other */
  /* Sidebar/left column */
  .sidebar {
    max-width: 275px;
    min-width: 275px;
    background-color: #FFFFFF;
    padding: 20px;
    font-family: 'HCLTech Roobert';
    position: fixed;
    top: 180px;
    border-radius: 6px;
    transition: top 0.3s;
  }
  
  /* Main column */
  .mainContent {
    background-color: #F2F2F2;
    padding: 40px;
    margin-bottom: 5%;
    margin-left: 400px;
  }

  #root {
      display: grid;
      grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
      grid-row-gap: 32px;
      grid-column-gap: 110px;
    }
  
 /* Cards design */

.images {
  width:34px;
  height: 34px;
  top: 6px;
  left: 10px;
  position: absolute;
}

.card {
    background-color: #FFFFFF;
    border-radius: 6px;
    width: 286px;
    height: 160px;
    border: none;
  }
  
  .card-body {
      width: 250px;
      height: 120px;
      /* align-items: center; */
  }
  
  .card-title {
    font-size: 16px;
    font-family: 'HCLTech Roobert';
    position: relative;
    left: 38px;
  }

  .card-text {
    width: 260px;
    font-size: 13px;
    padding-top: 5px;
    font-family: sans-serif;
    line-height: 20px;
  }

  .card:hover {
    /* background: linear-gradient(90deg, rgba(104,97,222,1) 1%, rgba(104,97,222,1) 3%, rgba(104,97,222,1) 3%, rgba(104,97,222,1) 3%, rgba(104,97,222,1) 3%, rgba(81,250,240,1) 50%, rgba(71,9,121,0.9893207282913166) 100%); */
    /* background: linear-gradient(90deg, rgb(94, 178, 220) 13%, rgb(90, 193, 188) 54%, rgba(110, 195, 198, 0.989) 150%); */
    color: black;
    /* height: 14rem; */
    box-shadow: 0px 5px 15px  rgba(4, 216, 244, 0.35);
  }
  
  .card-body > a {
    text-decoration: none;
    color: #FFFFFF;
    position: absolute;
    top: 145px;
    font-size: 14px;
    font-family: 'HCLTech Roobert';
    bottom: 0;
    padding-left: 25px;
    transition: transform 0.3s ease;
  }
  
  .card-body a.link-wrapper {
    position: relative;
    color: #0a0a0a;
    text-decoration: none;
    left: 0;
    top: 0;
    align-items: center;
  }
  
  /* .arrow-icon {
    position: absolute;
    left: 0;
    transition: transform 0.3s ease;
    display: inline-block;
    font-size: 14px;
  } */
  
  /* .card:hover .arrow-icon {
   transform: translateX(8px);
   color:cadetblue;
  } */
  .card .card-body > a {
    /* transform: translateX(8px);
    color: cadetblue; */
    padding-top: 55px;
    padding-right: 15px;
    padding-left: 18px;
    color: black;
    font-size: 13px;
    font-family: sans-serif;
    top:0;
    bottom: 0;
    left: 0;
    right: 0;
  }
  
/*Mobile devices*/
/* @media only screen and (min-width: 300px) and (max-width: 367px) {

  .sidebar {
    display: block;
    position: relative;
    top: 40px;
    align-items:center;
    justify-content: center;
    margin-left: 10px;
}

.mainContent {
    display: flex; 
    flex-direction: column;
    align-items:center;
    justify-content: center;
    position: absolute;
    top:130px;
    margin-left: -33px; 
}

} */

/*iPhone SE*/
@media only screen and (min-width: 320px) and (max-width: 359px) {

    .container {
        display: flex;
        flex-wrap: wrap;
        flex-direction: column;
        align-items:center;
        justify-content: center;
        float: left;
        min-height: 100vh;
    }

    .sidebar {
        display: block;
        position: relative;
        top: 140px;
        align-items:center;
        justify-content: center;
    }

    .mainContent {
        display: flex; 
        flex-direction: column;
        align-items:center;
        justify-content: center;
        top:130px;
        margin-left: -20px;
        position: relative;
        padding-bottom: 130px;
    }
  
}

@media only screen and (min-width: 360px) and (max-width: 374px) {

    .container {
        display: flex;
        flex-wrap: wrap;
        flex-direction: column;
        align-items:center;
        justify-content: center;
        min-height: 100vh;

    }

    .sidebar {
        display: block;
        position: relative;
        top: 140px;
        align-items:center;
        justify-content: center;
    }

    .mainContent {
        display: flex; 
        flex-direction: column;
        align-items:center;
        justify-content: center;
        top:130px;
        margin-left: 0px;
        position: relative;
        padding-bottom: 130px;
    }
  
}

@media only screen and (min-width: 375px) and (max-width: 389px) {

    .container {
        display: flex;
        flex-wrap: wrap;
        flex-direction: column;
        align-items:center;
        justify-content: center;
        min-height: 100vh;

    }

    .sidebar {
        display: block;
        position: relative;
        top: 140px;
        align-items:center;
        justify-content: center;
    }

    .mainContent {
        display: flex; 
        flex-direction: column;
        align-items:center;
        justify-content: center;
        top:130px;
        margin-left: 0px;
        position: relative;
        padding-bottom: 130px;
    }
  
}
/*iPhone 12/13*/
@media only screen and (min-width: 390px) and (max-width: 429px) {

    .container {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    align-items:center;
    justify-content: center;
    padding-bottom: 160px;
    min-height: 100vh;

    }

    .sidebar {
    display: block;
    position: relative;
    top: 140px;
    align-items:center;
    justify-content: center;
    }

    .mainContent {
    display: flex; 
    flex-direction: column;
    align-items:center;
    justify-content: center;
    top:130px;
    margin-left: 0px;
    position: relative;
    padding-bottom: 130px;
    }

}

@media only screen and (min-width: 430px) and (max-width: 768px) {

    .container {
        display: flex;
        flex-wrap: wrap;
        flex-direction: column;
        align-items:center;
        justify-content: center;
        padding-bottom: 250px;
        min-height: 100vh;

    }
    
     .sidebar {
        display: block;
        position: relative;
        top: 140px;
        align-items:center;
        justify-content: center;
    }
    
     .mainContent {
        display: flex; 
        flex-direction: column;
        align-items:center;
        justify-content: center;
        top:130px;
        margin-left: 0px;
        position: relative;
        padding-bottom: 130px;
    }

}

/* Footer Styles*/
.footer-container {
  z-index: 9999;
  text-align: center;
  color: #ffffff;
  background: #272727;
  width: 100%;
  bottom: 0;
  font-family: 'HCLTech Roobert';
  font-size: 14px;
  position: relative;
  min-height: 34px;
}

.footer-launch::after {
  content: url("images/launch.svg");
  width: 20px;
  height: 20px;
  margin: auto 5px;
  padding-top: 3px;
  display: inline-block;
  vertical-align: text-bottom;
}

.footer-mail::after {
  content: url("images/email.svg");
  width: 20px;
  height: 20px;
  margin: auto 5px;
  padding-top: 3px;
  display: inline-block;
  vertical-align: text-bottom;
}

.footer-twitter::after {
  content: url("https://help.hcl-software.com/images/twitter.png");
  width: 20px;
  height: 20px;
  margin: auto 5px;
  padding-top: 3px;
  display: inline-block;
  vertical-align: text-bottom;
}

.footer-left {
  float: left;
  
}

.footer-right {
  float: right;
}

.share-content {
  text-align: left;
}

.legal-content {
  text-align: right;
}


/*Mobile View styles*/
[class*="col-"] {
  width: 100%;
}

/*Mobile devices*/
@media only screen and (max-width: 340px) {

    .searchProdclass {
      position: relative;
      color: black;
      font-size: 14px;
      font-family: 'HCLTech Roobert';
    /*   transform: translate(-176%, -176%); */
      z-index: 1;
      width: 110%;
      padding: 10px 20px;
      border-radius: 5px;
      text-align: center;
    }
    .verticline {
      display: none;
    }
    
    .brand_banner {
      display: none;
    }
    .brand_banner .headerTitle {
      display: none;
    }
    .brand_banner img {
      display: none;
    }
  }


  /*Mobile devices*/
  
  @media only screen and (max-width:768px) {

      .searchProdclass {
        position: relative;
        color: black;
        font-size: 14px;
        font-family: 'HCLTech Roobert';
      /*   transform: translate(-176%, -176%); */
        z-index: 1;
        width: 70%;
        padding: 10px 20px;
        border-radius: 5px;
        text-align: center;
        margin-left: 55px;
      }
      .verticline {
        display: none;
      }
      
      .brand_banner {
        display: none;
      }
      .brand_banner .headerTitle {
        display: none;
      }
      .brand_banner img {
        display: none;
      }

      .footer-container {
        z-index: 9999;
        text-align: center;
        color: #ffffff;
        background:  #272727;
        bottom: 0px;
        width: 100%;
        font-size: 14px;
        font-family: 'open Sans';
        min-height: 34px;
        position: relative;
        overflow: auto;
        padding-bottom: 60px;
      } 

      #onetrust-banner-sdk {
        padding-bottom: 15%;
      }
      
  }
